﻿@using System.Web.UI.WebControls;

@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_FileLogMonitoringScript")

@*@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PopUp_Detail";
    settings.CallbackRouteValues = new { Controller = "FileLogMonitoring", Action = "_PopUpDetail" };
    settings.ClientSideEvents.BeginCallback = "onBeginCallbackPopUp";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 460;
    settings.MinHeight = 250;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(1180);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "File Log Monitoring Detail";

}).GetHtml()*@

<div class="content">
    <table style="width: 100%"; >
        <tr> 
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Date From";
                }).GetHtml()
            </td>
            <td style="width: 5px">
            </td>
            <td>@Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_DATE_FROM";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true; 
                  settings.Width = 100;
                  settings.Properties.ClientSideEvents.DateChanged = "I_DATE_TO_OnChanged";
              }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "to ";
                }).GetHtml()
            </td>            
            <td style="width: 5px">
            </td>
            <td>@Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_DATE_TO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 100;
                  //settings.Properties.ClientSideEvents.DateChanged = "I_DATE_TO_OnChanged";
              }).GetHtml()
              </td>
              <td colspan="4"></td>
              <td>
            @Html.DevExpress().TextBox(hsettings =>
                    {
                        hsettings.Name = "Process_ID2";
                        hsettings.ClientVisible = false;
                    }).GetHtml()
            </td>
            <td style="width: 850px" colspan="2" align="left">
                @Html.DevExpress().Button(
                 edtSetting =>
                 {
                     edtSetting.Name = "cmdSearch";
                     edtSetting.Text = "Search";
                     edtSetting.Width = 75;
                     edtSetting.ClientSideEvents.Click = "OnSearch";
                     edtSetting.Style.Add("display", "inline-table");
                     edtSetting.UseSubmitBehavior = true;
                 }
                 ).GetHtml()
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                }).GetHtml()
            </td>
        </tr>
  
        <tr>
            <td colspan="15">
                <hr />
            </td>
        </tr>
    </table>
</div>
<div class="content" style="min-height: 490px">
    @Html.Partial("FileLogMonitoringGrid")
</div>
